Upstream information

CVE-2016-9800 at MITRE

Description

In BlueZ 5.42, a buffer overflow was observed in "pin_code_reply_dump" function in "tools/parser/hci.c" source file. The issue exists because "pin" array is overflowed by supplied parameter due to lack of boundary checks on size of the buffer from frame "pin_code_reply_cp *cp" parameter.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 4
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P AV:L/AC:H/Au:N/C:N/I:N/A:C
Access Vector Network Local
Access Complexity Low High
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.3
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
SUSE Bugzilla entry: 1013721 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • bluez >= 5.13-5.4.1
  • bluez-cups >= 5.13-5.4.1
  • libbluetooth3 >= 5.13-5.4.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1194
SUSE Linux Enterprise Module for Basesystem 15
  • libbluetooth3 >= 5.48-3.7
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libbluetooth3
SUSE Linux Enterprise Module for Desktop Applications 15
  • bluez >= 5.48-3.7
  • bluez-devel >= 5.48-3.7
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA bluez
SUSE Linux Enterprise Server 12 SP3
  • bluez >= 5.13-5.4.1
  • libbluetooth3 >= 5.13-5.4.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1194
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • bluez >= 5.13-5.4.1
  • libbluetooth3 >= 5.13-5.4.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1194
SUSE Linux Enterprise Software Development Kit 12 SP3
  • bluez >= 5.13-5.4.1
  • bluez-devel >= 5.13-5.4.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1194
SUSE Linux Enterprise Workstation Extension 12 SP3
  • bluez >= 5.13-5.4.1
  • bluez-cups >= 5.13-5.4.1
Patchnames:
SUSE-SLE-WE-12-SP3-2018-1194
SUSE Linux Enterprise Workstation Extension 15
  • bluez-cups >= 5.48-3.7
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 GA bluez-cups
openSUSE Leap 15.0
  • bluez >= 5.48-lp150.3.1
  • libbluetooth3 >= 5.48-lp150.3.1
Patchnames:
openSUSE Leap 15.0 GA bluez


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 bluez Affected
SUSE Linux Enterprise Desktop 12 SP2 bluez Unsupported
SUSE Linux Enterprise Desktop 12 SP3 bluez Released
SUSE Linux Enterprise SDK 11 SP4 bluez Not affected
SUSE Linux Enterprise SDK 11 SP4 bluez-hcidump Ignore
SUSE Linux Enterprise SDK 12 SP1 bluez Affected
SUSE Linux Enterprise SDK 12 SP2 bluez Unsupported
SUSE Linux Enterprise SDK 12 SP3 bluez Released
SUSE Linux Enterprise Server 11 SP4 bluez Not affected
SUSE Linux Enterprise Server 12 SP1 bluez Affected
SUSE Linux Enterprise Server 12 SP2 bluez Unsupported
SUSE Linux Enterprise Server 12 SP3 bluez Released
SUSE Linux Enterprise Workstation Extension 12 SP1 bluez Affected
SUSE Linux Enterprise Workstation Extension 12 SP2 bluez Unsupported
SUSE Linux Enterprise Workstation Extension 12 SP3 bluez Released